summaryrefslogtreecommitdiffstats
path: root/extras/ganesha
diff options
context:
space:
mode:
authorKaleb S KEITHLEY <kkeithle@redhat.com>2016-05-17 17:27:37 -0400
committerKaleb KEITHLEY <kkeithle@redhat.com>2016-05-19 03:17:07 -0700
commit5bd9d42c997695d0c673ae50c1dbb9f4ab23695d (patch)
tree5c78b0faec9f5e7e0123689501c1c08226340292 /extras/ganesha
parent84924ee0ef7cb557c54a9d467364ded86b34f40d (diff)
common-ha: stonith-enabled option set error in new pacemaker
Setting the option too early results in an error in newer versions of pacemaker. Postpone setting the option in order for it to succeed. N.B. We do not use a fencing agent. Yes, we know this is not supported. Change-Id: I86953fdd67e6736294dbd2d0795611837188bd9d BUG: 1336945 Signed-off-by: Kaleb S KEITHLEY <kkeithle@redhat.com> Reviewed-on: http://review.gluster.org/14404 Smoke: Gluster Build System <jenkins@build.gluster.com> NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org> CentOS-regression: Gluster Build System <jenkins@build.gluster.com> Reviewed-by: soumya k <skoduri@redhat.com> Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
Diffstat (limited to 'extras/ganesha')
-rw-r--r--extras/ganesha/scripts/ganesha-ha.sh12
1 files changed, 5 insertions, 7 deletions
diff --git a/extras/ganesha/scripts/ganesha-ha.sh b/extras/ganesha/scripts/ganesha-ha.sh
index 33affe97448..e91fe37e37b 100644
--- a/extras/ganesha/scripts/ganesha-ha.sh
+++ b/extras/ganesha/scripts/ganesha-ha.sh
@@ -196,10 +196,6 @@ setup_cluster()
logger "warning: pcs property set no-quorum-policy=ignore failed"
fi
fi
- pcs property set stonith-enabled=false
- if [ $? -ne 0 ]; then
- logger "warning: pcs property set stonith-enabled=false failed"
- fi
}
@@ -208,14 +204,16 @@ setup_finalize_ha()
local cibfile=${1}
local stopped=""
+ pcs property set stonith-enabled=false
+ if [ $? -ne 0 ]; then
+ logger "warning: pcs property set stonith-enabled=false failed"
+ fi
+
stopped=$(pcs status | grep -u "Stopped")
while [[ "${stopped}X" = "StoppedX" ]]; do
sleep 1
stopped=$(pcs status | grep -u "Stopped")
done
-
- # pcs resource cleanup
-
}